curl --request POST \
--url https://api.getcargo.io/v1/ai/votes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isUpvoted": true
}
'{
"vote": {
"workspaceUuid": "<string>",
"userUuid": "<string>",
"chatUuid": "<string>",
"messageUuid": "<string>",
"isUpvoted": true,
"updatedAt": "<string>"
}
}Create or update a vote
curl --request POST \
--url https://api.getcargo.io/v1/ai/votes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"chatUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"messageUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"isUpvoted": true
}
'{
"vote": {
"workspaceUuid": "<string>",
"userUuid": "<string>",
"chatUuid": "<string>",
"messageUuid": "<string>",
"isUpvoted": true,
"updatedAt": "<string>"
}
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Request body schema.
Chat identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Message identifier.
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$Whether the message is upvoted.
Successful response
Vote details.
Show child attributes
Was this page helpful?